Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: .travis/travis-install.sh

Issue 29663688: Issue 6220 - add travis-ci configuration for adblockpluscore (Closed) Base URL: github.com:adblockplus/adblockpluscore
Patch Set: rebase & fix openssl version on osx Created March 1, 2018, 10:52 a.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: .travis/travis-install.sh
diff --git a/.travis/travis-install.sh b/.travis/travis-install.sh
new file mode 100644
index 0000000000000000000000000000000000000000..5d1e16ff7799192c4d4ce0e9720f1f250d90a972
--- /dev/null
+++ b/.travis/travis-install.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+if [[ -z ${NVM_DIR} ]]; then
+NVM_DIR=${HOME}/.nvm
+fi
+
+. ${NVM_DIR}/nvm.sh
+
+nvm install 8.9.4
+nvm alias default 8.9.4
+
+set -x
+set -e
+
+mkdir -p third_party
+bash .travis/prepare-emscripten.sh
+bash .travis/prepare-ninja.sh
+pip3 install -q --user meson
« .travis.yml ('K') | « .travis/travis-before_script.sh ('k') | .travis/travis-script.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld